Unified Catalog Entity Type Details¶
GET /api/v1/unified_catalog/entity_type_cfg/get
Overview¶
Get the details of a single unified catalog entity type.
Query Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| entityTypeUUID | string | Entity type UUID; pass default to return the custom entity type creation templateAllow empty: False |
|
| entityType | string | Entity type code Allow empty: False |
Parameter Supplement¶
Request Parameter Description
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| entityTypeUUID | string | No | Entity type UUID |
| entityType | string | No | Entity type code |
Call Notes
- At least one of
entityTypeUUIDandentityTypemust be provided. - When
entityTypeUUID=default, the custom entity type creation template is returned. This template hasstatus=3and will not appear in the entity type list. - If both parameters are provided, it is recommended that they point to the same entity type.
- The response includes
schemaDefine,viewDefine, andextraConfig. - The response includes the
customPropertiesof the current workspace and the mergedeffectiveSchemaDefine. - OpenAPI maintains backward compatibility: the list and detail endpoints query and return
entityCountby default.
Request Example¶
curl 'https://openapi.truewatch.com/api/v1/unified_catalog/entity_type_cfg/get?entityType=service' \
-H 'DF-API-KEY: <DF-API-KEY>'
Response¶
{
"code": 200,
"content": {
"uuid": "sys_service",
"entityType": "service",
"name": "Service",
"schemaDefine": "yaml text",
"viewDefine": "yaml text",
"extraConfig": {},
"customProperties": "custom_properties:\\n - name: business_owner\\n type: string\\n",
"effectiveSchemaDefine": "yaml text",
"entityCount": 12
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "TRACE-XXXX"
}